Indexing
Submit sitemap
POST /io/indexing/sitemap — submit or resubmit each target's sitemap to engines that accept sitemaps.
Submit or resubmit each target's sitemap to engines that accept sitemap
submission (currently Google Search Console; other engines discover sitemaps via
robots.txt and IndexNow).
POST https://api.misar.io/io/indexing/sitemap
Request body
| Field | Type | Default | Description |
|---|---|---|---|
domain | string | — | Required. Registry id, host/URL, or "all". |
engines | EngineId[] | server default | Subset of engines. |
dryRun | boolean | false | Plan only. |
{ "domain": "all" }The sitemap URL is taken from the registry entry's first sitemaps[] value.
Response
{
"ok": true,
"action": "sitemap",
"results": [
{
"domain": "blog",
"baseUrl": "https://misar.blog",
"urlCount": 1,
"engines": [
{ "engine": "google", "action": "sitemap", "ok": true, "submitted": 1 }
]
}
]
}